---
editUrl: false
next: false
prev: false
title: "ControlPlugin"
---

## Type parameters

• **Args** *extends* `any`[] = `any`[]

## Properties

### execute()

> **execute**: (...`args`) => [`PluginResult`](/v3/api/type-aliases/pluginresult/)

#### Parameters

• ...**args**: `Args`

#### Returns

[`PluginResult`](/v3/api/type-aliases/pluginresult/)

#### Source

[src/types/core-plugin.ts:73](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/types/core-plugin.ts#L73)

***

### type

> **type**: [`Control`](/v3/api/enumerations/plugintype/#control)

#### Source

[src/types/core-plugin.ts:72](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/types/core-plugin.ts#L72)
